List all annotations

GET/v2/annotations

Get annotations

Parameters #

PropertyTypeLocationDescription
datasetsstring[]queryOptional: Filter for dataset names.
startstringqueryOptional: Filter for events after this date. Use RFC3339 time format.
endstringqueryOptional: Filter for events before this date. Use RFC3339 time format.

Request #

curl -X GET 'https://api.axiom.co/v2/annotations' \
  -H 'Authorization: Bearer API_TOKEN'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200Annotation
application/json
PropertyTypeDescription
datasetsstring[]Requiredarray<string> of dataset names for which the annotation appears on charts
descriptionstringExplanation of the event the annotation marks on the charts
endTimestring<date-time>End time of the annotation
idstringRequired
timestring<date-time>RequiredTime the annotation marks on the charts. If you don't include this field, Axiom assigns the time of the API request to the annotation.
titlestringSummary of the annotation that appears on the charts
typestringRequiredType of the event marked by the annotation. Use only alphanumeric characters or hyphens. For example, "production-deployment".
urlstringURL relevant for the event marked by the annotation. For example, link to GitHub pull request.